/*
 * SwerveIO - A versatile open-source FRC swerve drive library.
 *
 * Copyright (C) 2019-2022 Jordan Bancino <jordan@bancino.net>
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published with this
 * source code. You should have received a copy of the GNU General Public
 * License with this program. If you did not, contact the distributors of
 * this program and view it here: https://bancino.net/licenses/gpl-3.0.txt
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 */
/**
 * WPILib "new" commands for driving a SwerveIO Swerve Drive. These commands
 * are designed to be customizable, and demonstrate the usage of SwerveIO
 * in autonomous and user-operated modes. They are intended to be
 * competition-ready and to complete the SwerveIO API, allowing users to go
 * from just a collection of hardware to full joystick and autonomous control
 * without any external tools. SwerveIO is fully self-contained in this
 * regard; it is complete because these commands allow you to set up your
 * swerve drive without writing much code. The only code you have to write is
 * the configuration of the hardware and of these commands.
 * 
 * @author Jordan Bancino
 * @version 5.0.4
 * @since 2.0.3
 */
package net.bancino.robotics.swerveio.command;