/*
 * SwerveIO - A versatile open-source FRC swerve drive library.
 *
 * Copyright (C) 2019-2022 Jordan Bancino <jordan@bancino.net>
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published with this
 * source code. You should have received a copy of the GNU General Public
 * License with this program. If you did not, contact the distributors of
 * this program and view it here: https://bancino.net/licenses/gpl-3.0.txt
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 */
/**
 * Gyro interfaces and helper classes. This package provides an interface for
 * adding your own custom gyros. See {@link Gyro} for details on how a gyro is
 * expected to behave.
 * 
 * <p>
 * Beginning users of SwerveIO will probably want to an existing gyro
 * implementation, but they can also easily create their own implementations by
 * directly implementing {@link Gyro}.
 * <p>
 * This package does not provide any module hardware support itself. Please
 * refer to the documentation home page for adding hardware support for your kit
 * module.
 * </p>
 * <p>
 * If your gyro is listed as supported, use the hardware-specific classes to
 * access them. The documentation for each individual gyro will provide you with
 * all the specifics. If your gyro is not officially supported by SwerveIO, you
 * will have to do a little more work to get SwerveIO to play nice with it, but
 * due to the nature of SwerveIO and the design principles it was built with,
 * adding your own gyro implementation should be trivial.
 * </p>
 * <p>
 * Using the interfaces and classes in this package, you can add support for any
 * gyro.
 * </p>
 * 
 * @author Jordan Bancino
 * @version 6.0.0
 * @since 2.0.0
 */
package net.bancino.robotics.swerveio.gyro;