/*
 * SwerveIO - A versatile open-source FRC swerve drive library.
 *
 * Copyright (C) 2019-2022 Jordan Bancino <jordan@bancino.net>
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published with this
 * source code. You should have received a copy of the GNU General Public
 * License with this program. If you did not, contact the distributors of
 * this program and view it here: https://bancino.net/licenses/gpl-3.0.txt
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 */
/**
 * PID controllers used in SwerveIO. This package provides an interface for
 * adding your own custom PID controllers. See {@link PIDController} for details
 * on how a PID controller is expected to behave.
 * 
 * <p>
 * Most users of SwerveIO will probably want to use the official PID controller
 * of SwerveIO ({@link DefaultPIDController}), but you can also easily create
 * your own implementation by directly implementing {@link PIDController}.
 * </p>
 * 
 * <p>
 * The PID controller is generally used internally by swerve module
 * implementors. The average user may never need to come into contact with a PID
 * controller, except to tune it using the PID API specified by this package.
 * </p>
 * 
 * @author Jordan Bancino
 * @version 5.0.0
 * @since 1.2.0
 */
package net.bancino.robotics.swerveio.pid;